gstreamermm: Gst::AudioResample Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::AudioResample Class Reference
gstreamermm Plugins

A Wrapper for the audioresample plugin. More...

Inheritance diagram for Gst::AudioResample:
[legend]
Collaboration diagram for Gst::AudioResample:
[legend]

List of all members.

## Public Member Functions
virtual | ~AudioResample ()
GstAudioResample* | gobj ()
| Provides access to the underlying C GObject.
const GstAudioResample* | gobj () const
| Provides access to the underlying C GObject.
GstAudioResample* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< int > | property_quality ()
| Resample quality with 0 being the lowest and 10 being the best.
Glib::PropertyProxy_ReadOnly< int > | property_quality () const
| Resample quality with 0 being the lowest and 10 being the best.
Glib::PropertyProxy< int > | property_filter_length ()
| Length of the resample filter.
Glib::PropertyProxy_ReadOnly< int > | property_filter_length () const
| Length of the resample filter.
## Static Public Member Functions
static Glib::RefPtr < AudioResample > | create ()
| Creates a new audioresample plugin with a unique name.
static Glib::RefPtr < AudioResample > | create (const Glib::ustring& name)
| Creates a new audioresample plugin with the given name.
## Protected Member Functions
| AudioResample ()
| AudioResample (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AudioResample > | wrap (GstAudioResample* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the audioresample plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::AudioResample::~AudioResample | ( |  | ) | `[virtual]`

Gst::AudioResample::AudioResample | ( |  | ) | `[protected]`

Gst::AudioResample::AudioResample | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<AudioResample> Gst::AudioResample::create | ( |  | ) | `[static]`

Creates a new audioresample plugin with a unique name.

static Glib::RefPtr<AudioResample> Gst::AudioResample::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new audioresample plugin with the given name.

const GstAudioResample* Gst::AudioResample::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstAudioResample* Gst::AudioResample::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstAudioResample* Gst::AudioResample::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

Glib::PropertyProxy<int> Gst::AudioResample::property_filter_length | ( |  | ) |

Length of the resample filter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::AudioResample::property_filter_length | ( |  | ) | const

Length of the resample filter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::AudioResample::property_quality | ( |  | ) |

Resample quality with 0 being the lowest and 10 being the best.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::AudioResample::property_quality | ( |  | ) | const

Resample quality with 0 being the lowest and 10 being the best.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AudioResample > wrap | ( | GstAudioResample * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/audioresample.h